couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From e0075...@student.tuwien.ac.at
Subject Re: GeoCouch compiling problem with actual version
Date Wed, 04 May 2011 15:05:52 GMT
Tanks for your help Volker. It seems to solve the problem. Is it  
normal that I get warnings because of unused variables? Because  
spatial queries don't seem to work and I get this error:
{"error":"not_found","reason":"missing handler: _spatial"}

I've copied all files and set the ERL_FLAGS as stated within the readme file.

I've the feeling that may my old couchdb version is making some  
trouble, but to be honest I don't know why because when I check the  
version it's 1.0.2.

Regards
Bernard
Quoting Volker Mische <volker.mische@gmail.com>:

> You seems to miss packages, this might help:
> http://www.ejabberd.im/undef-make-all
>
> Cheers,
>   Volker
>
> On 05/04/2011 04:30 PM, e0075088@student.tuwien.ac.at wrote:
>> Ah yeah sry that I didn't specified that.
>>
>> I've already complied and installed CouchDB 1.0.2 without any problems.
>> I've also tested it and it works without any problems.
>>
>> I'm currently stuck at compiling GeoCouch. I've followed the
>> installation instruction specified within the readme file.
>>
>> Regards
>> Bernhard
>>
>> Quoting Volker Mische <volker.mische@gmail.com>:
>>
>>> On 05/04/2011 04:17 PM, e0075088@student.tuwien.ac.at wrote:
>>>>
>>>> Hello,
>>>> my name is Bernhard, I'm currently writing my bachelor thesis in
>>>> Geoinformatics where I use GeoCouch within my project. After the new
>>>> Ubuntu release I also decided to upgrade my GeoCouch server. But when
>>>> trying to compile the source code with make I get the following error
>>>> message:
>>>>
>>>> {"init terminating in
>>>> do_boot",{undef,[{make,all,[[{i,"/opt/apache-couchdb-1.0.2/src/couchdb"}]]},{erl_eval,do_apply,5},{erl_eval,expr,5},{init,start_it,1},{init,start_em,1}]}}
>>>>
>>>>
>>>>
>>>> Crash dump was written to: erl_crash.dump
>>>> init terminating in do_boot ()
>>>> make: *** [compile] Error 1
>>>>
>>>> I've downloaded the new 1.0.2 source code for couchdb an installed it
>>>> following the instructions provided at the wiki (Example 1):
>>>>
>>>> http://wiki.apache.org/couchdb/Installing_on_Ubuntu
>>>>
>>>> This time I also remembered to change the xulrunner version within the
>>>> xulrunner.conf file.
>>>>
>>>> Currently I'm stuck. I've tried to set the LD_LIBRARY_PATH to
>>>> /usr/lib/xulrunner-1.9.2.17 as it states at the couchdb error message
>>>> wiki, that this error message is caused by an incorrect LD_LIBRARY_PATH.
>>>> But this didn't solve the problem. It seems like there is an obvious
>>>> solution to this but again I can't see it...
>>>>
>>>> I would be pleased if someone could help me.
>>>>
>>>> Bernhard
>>>
>>> Hi Bernhard,
>>>
>>> are you stuck at compiling CouchDB or GeoCouch?
>>>
>>> Cheers,
>>>   Volker
>>>
>>>
>>
>>
>
>



Mime
View raw message